#include <iostream>
#include <string>
#include <cmath>

using namespace std;

unsigned long long strtolong(string x)
{
	unsigned long long r = 0;
	for (int i = 0; i < x.size(); i++)
	{
		r *= 10;
		r += x.at(i) - '0';

	}
	return r;
}

string max(string a, string b)
{
	return strtolong(a) > strtolong(b) ? a : b;
}

int main()
{
	string x, y, z;

	cin >> x >> y >> z;

	string maxn;
	maxn = max(maxn, x + y + z);
	maxn = max(maxn, x + z + y);
	maxn = max(maxn, y + x + z);
	maxn = max(maxn, y + z + x);
	maxn = max(maxn, z + y + x);
	maxn = max(maxn, z + x + y);
	
	cout << maxn << endl;


}